%define pkg_name        AppConfig
%define pkg_version     1.66
%define rpm_pkg_version 1.66
%define rpm_pkg_release 1.n0i.11

Summary:       Application config (from ARGV, file etc)
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AD/ADAMK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(File::HomeDir) >= 0.61
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(File::HomeDir) >= 0.61}
%{!?_without_test:BuildRequires: perl(Test::More)}

%global perl_filter_prov 'AppConfig::State\\)$'

%description
AppConfig is a bundle of Perl5 modules for reading configuration files 
and parsing command line arguments.  This is a descendant of, and 
supercedes the App::Config module.  Functionality is extended over the
final version of App::Config (1.09) and includes many new features.  This
module has been developed and in the process, renamed, as part of an 
effort to unify the various Perl modules for parsing configuration files
and command line arguments.

AppConfig has a powerful but easy to use module for parsing configuration
files.  It also has a simple and efficient module for parsing command line
arguments.  For fully-featured command line parsing, a module is provided
for interfacing AppConfig to Johan Vromans' extensive Getopt::Long module.
Johan will continue to develop the functionality of this package and its
features will automatically become available through AppConfig.  


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README TODO


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 1.66-1.n0i.11
- version 1.66

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.64-1.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.64

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.56-3.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.56-2.n0i.8
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:1.56-2.n0i.7
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.56-1.n0i.6
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:1.56-1.n0i.5
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Fri Feb 20 2004 Marius FERARU <altblue@n0i.net> 0:1.56-1.n0i.4
- version 1.56

* Thu Jan 22 2004 Marius FERARU <altblue.net> 0:0.n0i.3
- automatic rebuild (perl 5.8.3)

* Sat Jan 10 2004 Marius FERARU <altblue@n0i.net> 0:1.55-0.n0i.2
- rebuilt on perl 5.8.2 / Fedora 1 Devel (tobe FC2)

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 0:1.55-0.n0i.1
- version 1.55
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
